HOSTNAME(1)

NOME
hostname - mostra ou define o nome de máquina do sistema
domainname - mostra ou define o nome de domínio NIS/YP do sistema
ypdomainname - mostra ou define o nome de domínio NIS/YP do sistema
dnsdomainname - mostra ou define o nome de domínio NIS/YP do sistema
dnsdomainname - mostra ou define o nome de domínio DNS do sistema

SINOPSE
hostname [-a|--alias] [-d|--domain] [-f|--fqdn|--long] [-A|--all-fqdns] [-i|--ip-address] [-I|--all-ip-addresses] [-s|--short] [-y|--yp|--nis]
hostname [-b|--boot] [-F|--file nome-de-arquivo] [nome-de-máquina]
hostname [-h|--help] [-V|--version]

domainname [nisdomain] [-F arquivo]
ypdomainname [nisdomain] [-F arquivo]
nisdomainname [nisdomain] [-F arquivo]

dnsdomainname

DESCRIÇÃO
Hostname é usado para exibir o nome DNS do sistema e para exibir ou definir seu nome de máquina ou nome de domínio NIS.

  OBTER NOME
Quando chamado sem argumentos, o programa exibe os nomes atuais:

hostname mostrará o nome do sistema conforme retornado pela função gethostname(2).

domainname mostrará o nome de domínio NIS do sistema. domainname usa a função gethostname(2), enquanto ypdomainname e nisdomainname usam a função getdomainname(2).

dnsdomainname mostrará a parte do domínio do FQDN (Nome de Domínio Totalmente Qualificado). O FQDN completo do sistema é retornado com hostname --fqdn (mas veja os avisos na seção O FQDN abaixo).

  DEFINIR NOME
Quando chamados com um argumento ou com a opção --file, os comandos definem o nome de máquina ou o nome de domínio NIS/YP. hostname usa a função sethostname(2), enquanto todos os três comandos domainname, ypdomainname e nisdomainname usam setdomainname(2). Observe que isso só tem efeito até a próxima reinicialização. Edite o arquivo /etc/hostname para que a alteração seja permanente.

Note que somente o super usuário pode alterar os nomes.

Não é possível definir o FQDN ou o nome do domínio DNS com o comando dnsdomainname (veja O FQDN abaixo).

O nome de máquina é normalmente definido durante a inicialização do sistema, em /etc/init.d/hostname.sh (normalmente lendo o conteúdo de um arquivo que contém o nome de máquina, ex.: /etc/hostname).

  O FQDN
O FQDN (Nome de Domínio Totalmente Qualificado) do sistema é o nome que o resolver(3) retorna para o nome de máquina, como, por exemplo, ursula.example.com. Geralmente é o nome de máquina seguido pelo nome de domínio DNS (a parte depois do primeiro ponto). Você pode verificar o FQDN usando hostname --fqdn ou o nome de domínio usando dnsdomainname.

Não é possível alterar o FQDN com hostname ou dnsdomainname.

O método recomendado para definir o FQDN é fazer com que o nome de máquina seja um alias para o nome totalmente qualificado usando o arquivo /etc/hosts, DNS ou NIS. Por exemplo, se o nome do host fosse "ursula", você poderia ter uma linha no arquivo /etc/hosts que contém

Tecnicamente: O FQDN é o nome retornado por gethostbyname(2) para o nome de máquina retornado pelo gethostname(2). O nome de domínio DNS é a parte após o primeiro ponto.

Portanto, isto depende da configuração do resolvedor (normalmente em /etc/host.conf) para que você possa alterá-lo. Normalmente, o arquivo hosts é analisado antes do DNS ou NIS, então é muito comum alterar o FQDN em /etc/hosts.

Se uma máquina possui múltiplas interfaces/endereços de rede ou é utilizada em um ambiente móvel, ela pode ter múltiplos FQDNs/nomes de domínio ou nenhum. Portanto, evite usar hostname --fqdn, hostname --domain e dnsdomainname. hostname --ip-address está sujeito às mesmas limitações e, portanto, também deve ser evitado.

OPÇÕES

-a, --alias
    Mostra o alias da máquina (se usado). Esta opção está obsoleta e não deve mais ser usada.

-A, --all-fqdns
    Exibe todos os FQDNs da máquina. Esta opção enumera todos os endereços de rede configurados em todas as interfaces de rede configuradas e os traduz para nomes de domínio DNS. Endereços que não podem ser traduzidos (ou seja, porque não possuem uma entrada de IP reverso apropriada) são ignorados. Observe que endereços diferentes podem ser resolvidos para o mesmo nome; portanto, a saída pode conter entradas duplicadas. Não faça nenhuma suposição sobre a ordem da saída.

-b, --boot
    Define sempre um nome de máquina; isso permite que o arquivo especificado por -F seja inexistente ou esteja vazio, caso em que o nome de máquina padrão localhost será usado se nenhum ainda estiver definido.

-d, --domain
    Exibe o nome de domínio DNS. Não usa o comando domainname para obter o nome de domínio DNS, pois ele exibirá o nome do domínio NIS e não o nome do domínio DNS. Usa dnsdomainname em vez disso. Consulte os avisos na seção O FQDN acima e evite usar esta opção.

-f, --fqdn, --long
    Exibe o FQDN (Nome de Domínio Totalmente Qualificado). Um FQDN consiste em um nome de máquina curto e o nome de domínio DNS. A menos que você esteja usando o Bind ou o NIS para pesquisas de máquinas, você pode alterar o FQDN e o nome de domínio DNS (que faz parte do FQDN) no arquivo /etc/hosts. Consulte os avisos na seção O FQDN acima e use --all-fqdns sempre que possível.

-F, --file nome-de-arquivo
    Lê o nome de máquina a partir do arquivo especificado. Comentários (linhas começando com um `#') são ignorados.

-i, --ip-address
    Exibe o(s) endereço(s) de rede do nome de máquina. Observe que isso só funciona se o nome de máquina puder ser resolvido. Evite usar esta opção; use hostname --all-ip-addresses em vez disso.

-I, --all-ip-addresses
    Exibe todos os endereços de rede de máquina. Esta opção enumera todos os endereços configurados em todas as interfaces de rede. A interface de loopback e os endereços IPv6 link-local são omitidos. Ao contrário da opção -i, esta opção não depende da resolução de nomes. Não faça nenhuma suposição sobre a ordem da saída.

-s, --short
    Exibe o nome curto da máquina. É o nome da máquina até o primeiro ponto.

-V, --version
    Exibe informação de versão na saída padrão e sai com sucesso.

-y, --yp, --nis
    Exibe o nome do domínio NIS. Se um parâmetro for especificado (ou --file arquivo ) então o root também pode definir um novo domínio NIS.

-h, --help
    Exibe uma mensagem de uso e sai.

NOTAS
As famílias de endereços que hostname tenta ao procurar o FQDN, aliases e endereços de rede da máquina são determinadas pela configuração do seu resolvedor. Por exemplo, em sistemas GNU Libc, o resolvedor pode ser instruído a tentar primeiro pesquisas IPv6 usando a opção inet6 em /etc/resolv.conf.

ARQUIVOS
/etc/hostname Historicamente, este arquivo deveria conter apenas o nome de máquina e não o FQDN canônico completo. Atualmente, a maioria dos softwares consegue lidar com um FQDN completo neste arquivo. Este arquivo é lido durante a inicialização do sistema pelos scripts de inicialização para definir o nome de máquina.

/etc/hosts Normalmente, é aqui que se define o nome de domínio, atribuindo um alias ao nome de máquina correspondente ao FQDN (Nome de Domínio Totalmente Qualificado).

AUTORES
Peter Tobias, <tobias@et-inf.fho-emden.de>
Bernd Eckenfels, <net-tools@lina.inka.de> (NIS e página man).
Michael Meskes, <meskes@debian.org>

TRADUÇÃO
A tradução para português brasileiro desta página man foi criada por Arnaldo Carvalho de Melo <acme@conectiva.com.br>, Jorge Luiz Godoy Filho <jorge@bestway.com.br> e Rafael Fontenelle <rafaelff@gnome.org>.

Esta tradução é uma documentação livre; leia a Licença Pública Geral GNU Versão 3 (https://www.gnu.org/licenses/gpl-3.0.html) ou posterior para as condições de direitos autorais. Nenhuma responsabilidade é aceita.

Se você encontrar algum erro na tradução desta página de manual, envie um e-mail para a lista de discussão de tradutores (debian-l10n-portuguese@lists.debian.org).